"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.destroy = exports.dispose = exports.create = exports.default = void 0;

var _rdsdataservice = _interopRequireDefault(require("aws-sdk/clients/rdsdataservice"));

var _resolveStorageBase = _interopRequireDefault(require("resolve-storage-base"));

var _connect = _interopRequireDefault(require("./connect"));

var _init = _interopRequireDefault(require("./init"));

var _loadEvents = _interopRequireDefault(require("./load-events"));

var _getLatestEvent = _interopRequireDefault(require("./get-latest-event"));

var _saveEvent = _interopRequireDefault(require("./save-event"));

var _drop = _interopRequireDefault(require("./drop"));

var _dispose = _interopRequireDefault(require("./dispose"));

var _create = _interopRequireDefault(require("./resource/create"));

var _dispose2 = _interopRequireDefault(require("./resource/dispose"));

var _destroy = _interopRequireDefault(require("./resource/destroy"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const escapeId = str => `\`${String(str).replace(/([`])/gi, '$1$1')}\``;

const escape = str => `"${String(str).replace(/(["])/gi, '$1$1')}"`;

const createAdapter = _resolveStorageBase.default.bind(null, _connect.default, _init.default, _loadEvents.default, _getLatestEvent.default, _saveEvent.default, _drop.default, _dispose.default, {
  RDSDataService: _rdsdataservice.default,
  escapeId,
  escape
});

var _default = createAdapter;
exports.default = _default;
const pool = {
  createAdapter
};

const createResource = _create.default.bind(null, pool);

exports.create = createResource;

const disposeResource = _dispose2.default.bind(null, pool);

exports.dispose = disposeResource;

const destroyResource = _destroy.default.bind(null, pool);

exports.destroy = destroyResource;
Object.assign(pool, {
  createResource,
  disposeResource,
  destroyResource
});
//# sourceMappingURL=index.js.map