"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const create = async (pool, options) => {
  const {
    createAdapter
  } = pool;
  const dynamoAdapter = createAdapter({
    awsSecretStoreArn: options.awsSecretStoreAdminArn,
    dbClusterOrInstanceArn: options.dbClusterOrInstanceArn,
    databaseName: 'mysql',
    region: options.region,
    resourceOptions: {
      databaseName: options.databaseName,
      tableName: options.tableName,
      userLogin: options.userLogin,
      userPassword: options.userPassword
    },
    skipInit: true
  });
  await dynamoAdapter.init(options);
};

var _default = create;
exports.default = _default;
//# sourceMappingURL=create.js.map